<?php

#### DEBUT - Partie <PHP> à inclure dans le cadre d'une intégration dans une page web.
#
  // Version de Squarely
  $version = 'Squarely v1.0.2 - (30/05/2010)';

/*
 +-------------------------------------------------------------------+
 |   Script PHP de Galerie Photo                                     |
 |   2007 Jean-Charles Pernot                                        |
 |   2009 Pierre Jarillon                                            |
 |   Email : moog+squarely@agmen.fr                                  |
 |   Site Web : http://www.agmen.fr/squarely/                        |
 +-------------------------------------------------------------------+
 |   + JavaScript : Bulle // Nice Titles                             |
 |        - Sources http://kryogenix.org/code/browser/nicetitle/     |
 |        - Sources http://traaaz.free.fr/bulle/                     |
 +-------------------------------------------------------------------+
 | This program is free software; you can redistribute it and/or     |
 | modify it under the terms of the GNU General Public License       |
 | as published by the Free Software Foundation; either version 2    |
 | of the License, or (at your option) any later version.            |
 |                                                                   |
 | This program is distributed in the hope that it will be useful,   |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of    |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     |
 | GNU General Public License for more details.                      |
 |                                                                   |
 | You should have received a copy of the GNU General Public License |
 | along with this program; if not, write to the Free Software       |
 | Foundation, Inc., 59 Temple Place - Suite 330,                    |
 | Boston, MA  02111-1307, USA.                                      |
 +-------------------------------------------------------------------+
 |   Partie I - index.php                                            |
 +-------------------------------------------------------------------+
*/

##----------------------------------------------------------------
## CONFIGURATION
##----------------------------------------------------------------

      ## Sessions PHP - //session_start(); - A commenter si session.auto_start est activé (Dans GenMiniature.php aussi)
      session_start();

      ## Titre de la page WEB
      $TITLE = $version ." Ma Galerie Photo" ;

      ## Commentaires en haut de page
      $COMMENTS = "Votre commentaire de haut de page." ;

      ## Répertoire des Photos

        ## (a) - Soit le dossier se trouve à la racine du site web  (exemple : http://www.abc.fr/squarely-essai/ )
           $DOSSIER = "/squarely_v1.0.2/" ;      // Avec le premier et dernier slash

        ## (b) - Soit votre site web est dans le public_html de votre /home/ (exemple : http://www.abc.fr/~moi/squarelyv0.9b1/ )
           $HOMEPATH = "" ;      // Dans ce cas mettez ici $HOMEPATH = "/home/moi/public_html/squarelyv0.9b1/" ;  // Avec le premier et dernier slash
                                 // Sinon laissez vide si le dossier se trouve à la racine du site web (Cf (a))
                                 // Vérifiez que votre serveur web aura les droits d'écriture et de lecture dans le dossier /squarely-essai/

      ## Droits pour la création du Repertoire Mini/ et Med/  (qui seront créés dans le dossier des Photos)
      $MKCHMOD  = 0755 ;      // Verifiez bien que les droits d'écriture et lecture soient autorisés pour le serveur web dans les rep Mini et Med

      ## Adresse de votre Sommaire
      $SOMMAIRE = "http://www.monsiteweb" ;    // Bouton SOMMAIRE ne sera pas affiché si vide

      ## Longueur du coté des miniatures (min. 10 pixels)
      $COTE = 120 ;      // Ce changement régénèrera toutes les photos

      ## Longueur max des prévisualisations (min. 100 pixels)
      $MAXRz = 640 ;      // Ce changement régénèrera chaque photo en mode de prévisualisation

      ## Nombre max de photos par ligne
      $NBR_PHOTOS_L = 5 ;

      ## Nombre max de colonnes par page
      $NBR_COLS = 3 ;

      ## Couleurs de la page WEB (Hexa)
      $FOND_PAGE= "#cccccc" ;      // Couleur du FOND de PAGE (Gris)
      $FOND_TAB = "#ffffff" ;      // Couleur du FOND de TABLEAU (Blanc) || **Effacer le Rep Mini en cas de changement en cours
      $FOND_BUL = "#92e5ef" ;	   // Couleur du FOND des bulles
      $TXT_COL  = "#446e8e" ;      // Couleur du TEXTE (Bleu)
      $TXT_COL2 = "#333333" ;      // Couleur du TEXTE BULLE  (Gris)
      $FOND_TXT = "#eeeeee" ;      // Couleur du FOND TEXTE + BORDURE (Gris)
      $LINK1    = "#006600" ;      // Couleur du LIEN  (Vert)
      $LINK2    = "#d78802" ;      // Couleur du LIEN  (Orange) (onMouseOver)

      ## Fréquence du diaporama en secondes
      $DIAPOTIME  = 6 ;

      ## Qualité des miniatures et des prévisualisations au format JPG ((min)10->100(max))
      $QUALITEJPG  = 95 ;

      ## Tri par défaut - Voulez-vous privilègier le tri par Nom ou le tri par Date (0=Par Nom / 1=Par Date)
      $TRIORDRE  = 0 ;

      ## Activation Balise Exif (jpeg) (0=Non / 1=Oui)
      $EXIF_ON  = 1 ;
       // Si $EXIF_ON = 1 -> Par défaut - Voulez-vous privilègier le tri par date du Fichier ou le tri par date Exif  (0=Fichier / 1=Exif)
          $PRIODATE  = 0 ;

      ## Commentaires Exif (jpeg) - Nombre de caractères avant saut de ligne (BULLE)
      $CHARSAUT  = 45 ;

      ## Favicon Squarely - (0=Non / 1=Url de la votre / 2=http://agmen.free.fr/squarely.ico)
      $FAV_ICO = 0 ;      // L'image en elle même est hébergées sur un ftp perso de Free et aucun traçage n'est effectué.
       // Si $FAV_ICO = 1 -> Cas de votre propre favicon.ico
          $MAFAV_ICO ="" ;      // Ex: $MAFAV_ICO ="http://www.monsiteweb/favicon.ico";

      ## Indexation des robots dans les meta tags (0=Non / 1=Oui)
      $ROBOTS = 0 ; 
       // Si $ROBOTS = 1
          $VOSMOTSCLES ="" ;      // Séparés et terminés par une virgule ou VIDE

      ## Cacher Logo W3C (0=Non / 1=Oui)
      $W3CLOGO = 0 ;

##----------------------------------------------------------------
## FIN DE CONFIGURATION
##----------------------------------------------------------------

  // Récupération des variables GET
  $PREVIEW = $_GET["PREVIEW"];
    if(!preg_match("/^[-_.[:alnum:]]{5,100}$/",$PREVIEW)) { $PREVIEW='' ; $PREV = 0; }
    if((substr(strtolower($PREVIEW),-4) == ".jpg") OR (substr(strtolower($PREVIEW),-4) == ".png") OR (substr(strtolower($PREVIEW),-4) == ".gif") OR (substr(strtolower($PREVIEW),-5) == ".wbmp")) { $PREV = 1 ; }
  $IDPICS = $_GET["IDPICS"];
    if(!preg_match("/^[[:digit:]]{1,3}$/",$IDPICS)) { $IDPICS = 1 ; }
  $ORDRE = $_GET["ORDRE"];
    if(!preg_match("/^[[:digit:]]{1}$/",$ORDRE)) { $ORDRE = $TRIORDRE ; }
  $EXIFDATE_ON = $_GET["EXIFDATE_ON"];
    if(!preg_match("/^[[:digit:]]{1}$/",$EXIFDATE_ON)) { $EXIFDATE_ON = $PRIODATE ; }
      if(($EXIFDATE_ON == 1) AND ($EXIF_ON == 1)) { $EXIFDATEmsg=' ( Priorité : &#x2194; date de prise de vue )'; } else { $EXIFDATEmsg=' ( Priorité : &#x2194; date du fichier )'; }
  $DESC = $_GET["DESC"];
    if(!preg_match("/^[[:digit:]]{1}$/",$DESC)) { $DESC = 0 ; }
      if (($EXIFDATE_ON == 1) AND ($EXIF_ON == 1)) { $TOTRI ='[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON=0" title="'.$EXIFDATEmsg.'">PHOTO</a> ]&nbsp;&nbsp;&nbsp;'; }
      elseif (($EXIFDATE_ON == 0) AND ($EXIF_ON == 1)) { $TOTRI ='[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON=1" title="'.$EXIFDATEmsg.'">FICHIER</a> ]&nbsp;&nbsp;&nbsp;'; }
      else { $TOTRI ='<b title="'.$EXIFDATEmsg.'">[ FICHIER ]</b>&nbsp;&nbsp;&nbsp;'; }
      if ($ORDRE == 0) { $TOORDRE ='[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE=1&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'" title="Les photos sont actuellement triées par NOM">TRI PAR NOM</a> ]&nbsp;&nbsp;&nbsp;'; }
      else { $TOORDRE ='[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE=0&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'" title="Les photos sont actuellement triées par DATE">TRI PAR DATE</a> ]&nbsp;&#x2194;&nbsp;'.$TOTRI; }
      if ($DESC == 0) { $TODESC ='[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC=1&amp;EXIFDATE_ON='.$EXIFDATE_ON.'" title="Les photos sont actuellement triées par ordre CROISSANT">&#x25B2;</a> ]'; }
      else { $TODESC ='[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC=0&amp;EXIFDATE_ON='.$EXIFDATE_ON.'" title="Les photos sont actuellement triées par ordre DÉCROISSANT">&#x25BC;</a> ]'; }
  $AUTO = $_GET["AUTO"];
    if(!preg_match("/^[[:digit:]]{1}$/",$AUTO)) { $AUTO = 0 ; }
  $_SESSION['COTE'] = $COTE ;
  $_SESSION['MAXRz'] = $MAXRz ;
  $_SESSION['QUALITEJPG'] = $QUALITEJPG ;

  // Chemin (Merci à Emmanuel Bouthenot et Tovo Rabemanantsoa)
  if(empty($HOMEPATH)) {
                       $PATH = $_SERVER["DOCUMENT_ROOT"].$DOSSIER;
                       if ((!is_dir($PATH)) OR (substr($DOSSIER,-1) != "/") OR (substr($DOSSIER,0,1) != "/")) { $DIRLN = 55 ; $DIRALERT = 22; }
                       }
                       else
                          {
                          $PATH = $HOMEPATH;
                          if ((!is_dir($PATH)) OR (substr($HOMEPATH,-1) != "/") OR (substr($HOMEPATH,0,1) != "/")) { $DIRLN = 58 ; $DIRALERT = 22; }
                          }
  if($DIRALERT==22) { echo '/!\\ Squarely /!\\<br/><br/>Vérifiez le chemin stipulé ligne '.$DIRLN.' (Avec le premier et dernier slash dans le chemin)' ; die ; }

  // Couleur de fond de la page WEB (Hexa => Dec)
  $FOND_TAB = str_replace("#","",$FOND_TAB);
    $FOND_TABsplit = array();
    for ($ii = 0; $ii < 6; $ii++ ) {  $yy=$ii+1 ; array_push($FOND_TABsplit, $FOND_TAB[$ii].$FOND_TAB[$yy]); $ii++ ;}
    foreach($FOND_TABsplit as $FOND_TAB_HEX) { $FOND_TABsplited[] = hexdec("$FOND_TAB_HEX"); }
    $_SESSION['Rcol'] = $FOND_TABsplited[0] ;
    $_SESSION['Gcol'] = $FOND_TABsplited[1] ;
    $_SESSION['Bcol'] = $FOND_TABsplited[2] ;

  // PHP tests : Dossier, Exif et GD
    if (!function_exists('exif_read_data') AND ($EXIF_ON==1)) { echo '/!\\ Squarely /!\\<br/><br/>PHP n\'est pas chargé avec Exif .<br/>Veuillez configurer Exif ou alors modifier la ligne 99 en : <b>$EXIF_ON  = 0 ;</b><br/>' ; $EXIF_ON  = 0 ; }     // Merci Franck Veegaert
    if (!function_exists('imagecreatetruecolor')) { echo '/!\\ Squarely /!\\<br/><br/>PHP n\'est pas chargé avec les librairies GD.<br/>Le script ne peut être utilisé sur cette machine.' ; die ; }

  // Nombre de photos par page
  $PHOT_PAR_PG=$NBR_PHOTOS_L*$NBR_COLS;

  // METATAGS ROBOTS
  if($ROBOTS==1){
           if(empty($VOSMOTSCLES))
                  {
                  $METAKEY=$TITLE.' '.$COMMENTS ;
                  $CARACT=array("\"","'",",",";",":",".","?","!","/","\\","-","_","(",")","#","&","[","]","=","@","%","$","<",">");
                  foreach($CARACT as $PasBon) { $METAKEY=str_replace($PasBon,'',$METAKEY); }
                  $METAKEY=str_replace(' ',', ',$METAKEY);
                  $METAKEY=str_replace(', , ','',$METAKEY);
                  }
           $BOTSALLOWED ='
<meta name="robots" content="index, nofollow" />
<meta name="googlebot" content="index, nofollow" />
<meta name="keywords" content="'.$VOSMOTSCLES.$METAKEY.'" />';
                   }
                   else {
                        $BOTSALLOWED ='
<meta name="robots" content="noindex, nofollow" />
<meta name="googlebot" content="noindex, nofollow" />';
                        }

  // Favicon Squarely
  if(($FAV_ICO==1)  AND !empty($MAFAV_ICO)) { $FAVICON = '<link rel="shortcut icon" type="'.$MAFAV_ICO.'">
';  }
  if($FAV_ICO==2) { $FAVICON = '<link rel="shortcut icon" type="image/ico" href="http://agmen.free.fr/squarely.ico">
';  }


  // Creation du répertoire Mini et Mini/index.html
  if(!is_dir('Mini')) {
                      mkdir($PATH.'Mini') or die("<br/>Vérifiez la validité du chemin $PATH ou alors les droits d'écriture du dossier $DOSSIER");
                      chmod($PATH.'Mini',$MKCHMOD);
                      $NEWREP='(!) Création du dossier '.$PATH.'Mini<br/><br/>';
                      $BLANK_HTML = fopen("Mini/index.html", 'w');
                      fclose($BLANK_HTML);
                      }

  // Creation du répertoire Med et Med/index.html
  if(!is_dir('Med')) {
                      mkdir($PATH.'Med');
                      chmod($PATH.'Med',$MKCHMOD);
                      $NEWREP='(!) Création du dossier '.$PATH.'Med<br/><br/>';
                      $BLANK_HTML = fopen("Med/index.html", 'w');
                      fclose($BLANK_HTML);
                      }

  // Creation du Fichier pour les derniers ajouts
  if(!is_file('DERN_MOD')) {
                           $DERN_MOD = fopen("DERN_MOD", 'w');
                           fclose($DERN_MOD);
                           }       

  // Date des Derniers Ajouts
  $LAST_MOD_FR = date("d/m/Y à H:i", filemtime("DERN_MOD"));

  // Http ou https ?
  if($_SERVER['HTTPS']=="on") { $ishttps="https://"; } else { $ishttps="http://"; }

  // Bouton Sommaire
  if(!empty($SOMMAIRE)) { $TO_SOMMAIRE='[ <a href="'.$SOMMAIRE.'" title="Retour au Sommaire...">SOMMAIRE</a> ]&nbsp;&nbsp;&nbsp;'; }

## MODE PREVIEW

  if (($PREV==1) AND (is_file($PREVIEW))) {
    if (!empty($_SESSION['PREVORDRE'])) {
                   // Images suivantes et précédentes
                      foreach($_SESSION['PREVORDRE'] as $ValuePr) { $Ces_Prev[] = $ValuePr ; }
                      foreach($Ces_Prev as $CleCPr => $ValueCPr)
                                        {
                                        if ($ValueCPr == $PREVIEW) { $CurPrev = $CleCPr+1 ; $PrevPREVOK = $Ces_Prev[$CleCPr-1];  $NextPREVOK = $Ces_Prev[$CleCPr+1]; }
                                        }
                      if(!empty($PrevPREVOK)) { $BoutPrev = '<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$PrevPREVOK.'&amp;AUTO='.$AUTO.'">[ &#x25C4; PRÉCÉDENT ]</a>&nbsp;&nbsp;&nbsp;'; }
                      if(!empty($NextPREVOK)) { $BoutNext = '&nbsp;&nbsp;&nbsp;<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$NextPREVOK.'&amp;AUTO='.$AUTO.'">[ SUIVANT &#x25BA; ]</a>'; }
                      if($AUTO==1) { $W3CLOGO = 1 ; $AUTOSTATUS ='
<meta http-equiv="Refresh" content="'.$DIAPOTIME.';url=?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$NextPREVOK.'&amp;AUTO=1">' ; $AUTO_Bout = '<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$PREVIEW.'&amp;AUTO=0" title="Arreter le Diaporama (Fréquence : '.$DIAPOTIME.' secondes)">[ AUTO &#x263C; ]</a>&nbsp;&nbsp;&nbsp;[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'" title="Retour &agrave la galerie...">&#x25B2; GALERIE</a> ]<br/><br/>'; }
                        else { $AUTOSTATUS =''; $AUTO_Bout = '<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$PREVIEW.'&amp;AUTO=1" title="Lancer le Diaporama (Fréquence : '.$DIAPOTIME.' secondes)">[ AUTO &#x25D9; ]</a><br/><br/>';}
                      $StatsPhotos = '[ '.$CurPrev.' / '.(count($_SESSION['PREVORDRE'])).' ]';
                      }
                   // Infos photo |+| Données Exif (Merci à Pierre Jarillon)
                      if(($EXIF_ON==1) AND (substr(strtolower($PREVIEW),-4) == ".jpg"))
                                      {
                                      $INFO_PHOTO = exif_read_data($PATH.$PREVIEW, 0, true);
                                      if(!empty($INFO_PHOTO['WINXP']['Title'])) { $INFO_TITRE = $INFO_PHOTO['WINXP']['Title'] ; $CURSOR='style="cursor: help" '; }
                                      if(!empty($INFO_PHOTO['COMMENT']['0'])) { $INFO_COMMENTS = $INFO_PHOTO['COMMENT']['0']; $CURSOR='style="cursor: help" '; } else { if(!empty($INFO_PHOTO['WINXP']['Comments'])) { $INFO_COMMENTS = $INFO_PHOTO['WINXP']['Comments']; $CURSOR='style="cursor: help" '; } }
                                      if(!empty($INFO_PHOTO['EXIF']['DateTimeOriginal'])) { $INFO_DATE = $INFO_PHOTO['EXIF']['DateTimeOriginal'] ; $CURSOR='style="cursor: help" '; list ($ShDate, $ShTime) = split (' ', $INFO_DATE); $ShDate = str_replace(':','/',$ShDate); list ($ShY, $ShM, $ShD) = split ('/', $ShDate); $INFO_DATE='Prise le : '.$ShD.'/'.$ShM.'/'.$ShY.' &agrave; '.$ShTime.'&lt;br/&gt;'; }
                                      }
                      $INFO_TAILLE = round((filesize("$PREVIEW")/1024),2);
                      list($INFO_Width,$INFO_Height) = getimagesize($PREVIEW);
                   // TAG de Tri Date et Tri Nom
                   if($ORDRE==1){
                                if(($EXIFDATE_ON == 1) AND (!empty($INFO_PHOTO['EXIF']['DateTimeOriginal']))) { $INFO_DATE = '&#x2194;&nbsp;'.$INFO_DATE ; } else { $TAGTRIdate='&#x2194;&nbsp;'; }
                                }
                                else { $TAGTRInom='&#x2194;&nbsp;'; }
                   // Réduction de la taille des commentaires Exif et sauts de lignes (Titre et Commentaires)
                      if(!empty($INFO_TITRE)) { $INFO_TITRE = wordwrap( $INFO_TITRE, $CHARSAUT, "<br/>", 1 ); $INFO_TITRE = '<b>'.$INFO_TITRE.'</b><br/>'; }
                      if(!empty($INFO_COMMENTS)) { $INFO_COMMENTS = wordwrap( $INFO_COMMENTS, $CHARSAUT, "<br/>", 1 ); $INFO_COMMENTS = 'Commentaires :&lt;br/&gt;&lt;b&gt;'.$INFO_COMMENTS.'&lt;/b&gt;&lt;br/&gt;'; }

                   // Affichage et Comptag des visiteurs
                      $fpVis = fopen("Med/$PREVIEW.txt","r+");
                      $nbVisites = fgets($fpVis,11);
                      if($_SESSION[$PREVIEW] != "Done") {
                                  $_SESSION[$PREVIEW] = "Done";
                                  $nbVisites = $nbVisites+1;
                                  fseek($fpVis,0);
                                  fputs($fpVis,$nbVisites);
                                  }
                      fclose($fpVis);

                   // Affichage des nouvelles vignettes
                      $PHOTO_MOD  = date("d/m/Y à H:i", filemtime("$PATH$PHOTO"));
                      if(is_file($PREVIEW) AND is_file('Mini/Mn_'.$PREVIEW))
                                        {
                                        if($AUTO!=1) { $MAPHOTO = '<a href="'.$PREVIEW.'" target="NEWPHOTO"><img src="Med/Rz_'.$PREVIEW.'" alt="'.$PREVIEW.'" '.$CURSOR.' title="'.$INFO_TITRE.$INFO_COMMENTS.$INFO_DATE.$TAGTRInom.'Fichier : &lt;b&gt;'.$PREVIEW.'&lt;/b&gt;&lt;br/&gt;'.$TAGTRIdate.'Date de Mod. : '.$PHOTO_MOD.'&lt;br/&gt;Taille : '.$INFO_TAILLE.' Ko&lt;br/&gt;Résolution : '.$INFO_Width.' x '.$INFO_Height.'&lt;br/&gt;Affichage : '.$nbVisites.' fois&lt;br/&gt;&lt;br/&gt;CLIQUEZ POUR L\'AFFICHER EN TAILLE REELLE"></a>' ; }
                                        else { $MAPHOTO = '<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$PREVIEW.'&amp;AUTO=0"><img src="Med/Rz_'.$PREVIEW.'" alt="'.$PREVIEW.'" '.$CURSOR.' title="'.$INFO_TITRE.$INFO_COMMENTS.$INFO_DATE.$TAGTRInom.'Fichier : &lt;b&gt;'.$PREVIEW.'&lt;/b&gt;&lt;br/&gt;'.$TAGTRIdate.'Date de Mod. : '.$PHOTO_MOD.'&lt;br/&gt;Taille : '.$INFO_TAILLE.' Ko&lt;br/&gt;Résolution : '.$INFO_Width.' x '.$INFO_Height.'&lt;br/&gt;Affichage : '.$nbVisites.' fois&lt;br/&gt;&lt;br/&gt;CLIQUEZ POUR ARRETER LE DIAPORAMA"></a>' ; }

                                        }
                   // Url d'adresse directe
                      $DirectURL = '<span class="linkmess" title="Adresse directe à cette photographie (c/p)">&nbsp;&nbsp;'.$ishttps.$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'].'?PREVIEW='.$PREVIEW.'&nbsp;&nbsp;</span>';

                   } else { $PREV=0 ;}


## MODE GALERIE

if ($PREV!=1) {

  // Traitement des images trouvées
  $REP = opendir($PATH) or die("<br/>Vérifiez la validité du chemin $PATH");
  $i=0; $TOT_PHOTOS= 0;
  while (false !== ($PHOTO = readdir($REP)))
      {
      $EXT=''; $INFO_TITRE=''; $INFO_COMMENTS=''; $INFO_DATE=''; $CURSOR=''; $TAGTRIdate='' ; $TAGTRInom='' ;
      if ($PHOTO == '.') continue;
      $PHOTO=addslashes($PHOTO);
      if(preg_match("/^[-_.[:alnum:]]{5,100}$/",$PHOTO))
                 {
                 // Extensions valides
                    if(substr(strtolower($PHOTO),-4) == ".jpg") { $EXT='jpeg'; }
                    if(substr(strtolower($PHOTO),-4) == ".png") { $EXT='png'; }
                    if(substr(strtolower($PHOTO),-4) == ".gif") { $EXT='gif'; }
                    if(substr(strtolower($PHOTO),-5) == ".wbmp") { $EXT='wbmp'; }
                 // Affichage/Creation des vignettes valides
                    if(!empty($EXT)){
                                    $TOT_PHOTOS++;
                                 // Infos photo |+| Données Exif (Merci à Pierre Jarillon)
                                    if(($EXIF_ON==1) AND ($EXT=="jpeg"))
                                                    {
                                                    $INFO_PHOTO = exif_read_data($PATH.$PHOTO, 0, true);
                                                    if(!empty($INFO_PHOTO['WINXP']['Title'])) { $INFO_TITRE = $INFO_PHOTO['WINXP']['Title'] ; $CURSOR='style="cursor: help" '; }
                                                    if(!empty($INFO_PHOTO['COMMENT']['0'])) { $INFO_COMMENTS = $INFO_PHOTO['COMMENT']['0']; $CURSOR='style="cursor: help" '; } else { if(!empty($INFO_PHOTO['WINXP']['Comments'])) { $INFO_COMMENTS = $INFO_PHOTO['WINXP']['Comments']; $CURSOR='style="cursor: help" '; } }
                                                    if(!empty($INFO_PHOTO['EXIF']['DateTimeOriginal'])) { $INFO_DATE = $INFO_PHOTO['EXIF']['DateTimeOriginal'] ; $CURSOR='style="cursor: help" '; list ($ShDate, $ShTime) = split (' ', $INFO_DATE); $ShDate = str_replace(':','/',$ShDate); list ($ShY, $ShM, $ShD) = split ('/', $ShDate); $INFO_DATE='Prise le : '.$ShD.'/'.$ShM.'/'.$ShY.' &agrave; '.$ShTime.'&lt;br/&gt;'; }
                                                    }
                                    $INFO_TAILLE = round((filesize("$PHOTO")/1024),2);
                                    list($INFO_Width,$INFO_Height) = getimagesize($PHOTO);
                                 // Calcul du changement de $COTE
                                    if(is_file('Mini/Mn_'.$PHOTO)) { list($INFO_WidthMn,$INFO_HeightMn) = getimagesize('Mini/Mn_'.$PHOTO); } else { $INFO_WidthMn = $COTE;  }
                                 // TAG de Tri Date et Tri Nom
                                    if($ORDRE==1){
                                                 if(($EXIFDATE_ON == 1) AND (!empty($INFO_PHOTO['EXIF']['DateTimeOriginal']))) { $INFO_DATE = '&#x2194;&nbsp;'.$INFO_DATE ; } else { $TAGTRIdate='&#x2194;&nbsp;'; }
                                                 }
                                                 else { $TAGTRInom='&#x2194;&nbsp;'; }
                                 // Infos Visites
                                    if(!is_file("Med/$PHOTO.txt")) {
                                                   $fpNewVis = fopen("Med/$PHOTO.txt","w+");
                                                   fwrite($fpNewVis, "0");
                                                   fclose($fpNewVis);
                                                   }
                                    $fpVisP = fopen("Med/$PHOTO.txt","r+");
                                    $nbVisitesP = fgets($fpVisP,11);
                                    fclose($fpVisP);
                                 // Réduction de la taille des commentaires Exif et sauts de lignes (Titre et Commentaires)
                                    if(!empty($INFO_TITRE)) { $INFO_TITRE = wordwrap( $INFO_TITRE, $CHARSAUT, "&lt;br/&gt;", 1 ); $INFO_TITRE = '&lt;b&gt;'.$INFO_TITRE.'&lt;/b&gt;&lt;br/&gt;'; }
                                    if(!empty($INFO_COMMENTS)) { $INFO_COMMENTS = wordwrap( $INFO_COMMENTS, $CHARSAUT, "&lt;br/&gt;", 1 ); $INFO_COMMENTS = 'Commentaires :&lt;br/&gt;&lt;b&gt;'.$INFO_COMMENTS.'&lt;/b&gt;&lt;br/&gt;'; }
                                 // Affichage des nouvelles vignettes
                                    $PHOTO_MOD  = date("d/m/Y à H:i", filemtime("$PATH$PHOTO"));
                                 // Méthode de Tri par date
                                    if(($EXIFDATE_ON==1) AND (!empty($INFO_PHOTO['EXIF']['DateTimeOriginal']))) { list ($ShH, $ShMn, $ShS) = split (':', $ShTime); $PHOTO_MOD_ORDRE = $ShY.$ShM.$ShD.$ShH.$ShMn.$ShS ; } else { $PHOTO_MOD_ORDRE  = date("YmdHis", filemtime("$PATH$PHOTO")); }    // Merci à David Abdelli pour le rapport
                                    $iiii++;
                                    if(strlen($iiii) == 1) { $iiii = '000'.$iiii ; }
                                    if(strlen($iiii) == 2) { $iiii = '00'.$iiii ; }
                                    if(strlen($iiii) == 3) { $iiii = '0'.$iiii ; }
                                    $lowerPHOTO = strtolower($PHOTO);
                                    if(is_file($PHOTO) AND is_file('Mini/Mn_'.$PHOTO) AND ($INFO_WidthMn == $COTE))
                                                      {
                                                      $MESPHOTOS[$lowerPHOTO] = array($PHOTO_MOD_ORDRE.$iiii.'@'.$PHOTO => '<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$PHOTO.'"><img src="Mini/Mn_'.$PHOTO.'" alt="'.$PHOTO.'" height="'.$COTE.'" width="'.$COTE.'" '.$CURSOR.' title="'.$INFO_TITRE.$INFO_COMMENTS.$INFO_DATE.$TAGTRInom.'Fichier : &lt;b&gt;'.$PHOTO.'&lt;/b&gt;&lt;br/&gt;'.$TAGTRIdate.'Date de Mod. : '.$PHOTO_MOD.'&lt;br/&gt;Taille : '.$INFO_TAILLE.' Ko&lt;br/>Résolution : '.$INFO_Width.' x '.$INFO_Height.'&lt;br/&gt;Affichage : '.$nbVisitesP.' fois"/></a>'."\n");
                                                      }
                                 // Creation des nouvelles vignettes
                                    if(is_file($PHOTO) AND (!is_file('Mini/Mn_'.$PHOTO) OR ($INFO_WidthMn != $COTE)))
                                                      {
                                                      if ($INFO_WidthMn != $COTE) { $_SESSION['NeW_'.$PHOTO] = "REFAIRE" ; }
                                                      $MESPHOTOS[$lowerPHOTO] = array($PHOTO_MOD_ORDRE.$iiii.'@'.$PHOTO => '<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$PHOTO.'"><img src="GenMiniature.php?PHOTO='.$PHOTO.'" alt="'.$PHOTO.'" height="'.$COTE.'" width="'.$COTE.'" '.$CURSOR.' title="'.$INFO_TITRE.$INFO_COMMENTS.$INFO_DATE.$TAGTRInom.'Fichier : &lt;b&gt;'.$PHOTO.'&lt;/b&gt;&lt;br/&gt;'.$TAGTRIdate.'Date de Mod. : '.$PHOTO_MOD.'&lt;br/&gt;Taille : '.$INFO_TAILLE.' Ko&lt;br/&gt;Résolution : '.$INFO_Width.' x '.$INFO_Height.'&lt;br/&gt;Affichage : '.$nbVisitesP.' fois"/></a>');
                                                      $AJOUT.=$PHOTO.', ' ;
                                                      }
                                 // Récapitulatif des vignettes valides
                                    $IMAGETTES_VALIDES[]= 'Mn_'.$PHOTO;
                                    }
                 }
      }

      // Liste des vignettes dans le rep Mini
      if(!empty($TOT_PHOTOS) AND ($IDPICS <= $TOT_PHOTOS))
		{
      		$REP_IMAGETTES = opendir($PATH.'Mini');
      		$i=0;
      		while (false !== ($IMAGETTES = readdir($REP_IMAGETTES)))
            		{
            		if ($IMAGETTES == '.') continue;
            		$IMAGETTES = addslashes($IMAGETTES) ;
            		if(preg_match("/^[-_.[:alnum:]]{8,103}$/",$IMAGETTES))
                          	{
                          	if ((! strstr(strtolower($IMAGETTES), '.jpg')) & (! strstr(strtolower($IMAGETTES), '.png')) & (! strstr(strtolower($IMAGETTES), '.gif')) & (! strstr(strtolower($IMAGETTES), '.wbmp'))) continue;
                          	$IMAGETTES_LISTE[]= $IMAGETTES;
                          	}
            		}     
      		// Suppression des vignettes obsolettes
      	  	   if(!empty($IMAGETTES_LISTE[0]))
                         {
                         $IMAGETTES_OBSOLETTES = array_diff($IMAGETTES_LISTE, $IMAGETTES_VALIDES);
                         foreach($IMAGETTES_OBSOLETTES as $CELLE_CI) 
                                     { 
                                     unlink("Mini/$CELLE_CI"); $SUPPR.=$CELLE_CI.', ';
                                     $CELLE_CI_Rz = str_replace('Mn_','Rz_',$CELLE_CI);
                                     unlink("Med/$CELLE_CI_Rz");
                                  // Modification du Fichier DERN_MOD pour les dernieres suppressions
                                     unlink("DERN_MOD");
                                     $DERN_MOD = fopen("DERN_MOD", 'w');
                                     fclose($DERN_MOD);
                                  // Suppression du Fichier Visites pour les dernieres suppressions
                                     $CELLE_CI_Tx = str_replace('Mn_','',$CELLE_CI);
                                     unlink("Med/$CELLE_CI_Tx.txt");
                                     }
                         }
		}
             //	Mauvais $IDPICS > $TOT_PHOTOS
	     if(!empty($TOT_PHOTOS) AND ($IDPICS > $TOT_PHOTOS)) { die; }
}

// Borders IE
if (preg_match("/msie/", $_SERVER["HTTP_USER_AGENT"])) { $IEPATCH1 = ' cellspacing="20" ' ; }

// Création de prévisualisations manquantes et alignement infobulles
if ($PREV!=1) { $BULLE_H=round($COTE/2,0); $BULLE_V=$COTE; }
else {
     // Calcul du changement de $MAXRz
     if(is_file('Med/Rz_'.$PREVIEW)) { list($INFO_WidthRz,$INFO_HeightRz) = getimagesize('Med/Rz_'.$PREVIEW); } else { $INFO_WidthRz = $MAXRz; $INFO_HeightRz = $MAXRz; }
     // création en cas d'absence de preview
     if($INFO_HeightRz >= $INFO_WidthRz) { $INFO_HeightWidthRz = $INFO_HeightRz ; } else { $INFO_HeightWidthRz = $INFO_WidthRz ; }
          if(is_file($PREVIEW) AND (!is_file('Med/Rz_'.$PREVIEW) OR ($INFO_HeightWidthRz != $MAXRz))) {
                              $_SESSION['NeW_'.$PREVIEW] = "REFAIRE" ;
                              $MAPHOTO = '<a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'&amp;PREVIEW='.$PREVIEW.'&amp;AUTO='.$AUTO.'"><img src="GenMiniature.php?PHOTO='.$PREVIEW.'" alt="'.$PREVIEW.'" height="'.$COTE.'" width="'.$COTE.'" '.$CURSOR.' title="CLIQUEZ POUR AFFICHER LA PRÉVISUALISATION"/></a>'; $BULLE_V=$COTE;
                              }
                              else { list($INFO_Rz_Width,$INFO_Rz_Height) = getimagesize('Med/Rz_'.$PREVIEW); $BULLE_V=$INFO_Rz_Height; }
     $BULLE_H=0;
     }

#### FIN - Partie </PHP> à inclure dans le cadre d'une intégration dans une page web.


//----------------------------------------------------------------
## Création de la Page WEB
//----------------------------------------------------------------
$ID_PAGE = $_SERVER['REQUEST_URI'];
//$ID_PAGE = recode_string("l1..html", $ID_PAGE);
print '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<title>'.$TITLE.' - '.$TOT_PHOTOS.' photo(s)</title>
<meta http-equiv="Content-Language" content="fr" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />'.$BOTSALLOWED.'
<meta name="description" content="'.$COMMENTS.'" />
<meta name="Identifier-URL" content="'.$ishttps.$_SERVER['SERVER_NAME'].$ID_PAGE.'" />
<meta name="generator" content="'.$version.' - http://www.agmen.fr/squarely/" />
<meta name="date-creation-yyyymmdd" content="'.date("Ymd", filemtime("Mini")).'" />
<meta name="date-revision-yyyymmdd" content="'.date("Ymd", filemtime("DERN_MOD")).'" />
<meta http-equiv="Window-Target" content="SQUARELY" />
'.$AUTOSTATUS.$FAVICON;

#### DEBUT - Partie <HEAD> (CSS+javascript) à inclure dans le cadre d'une intégration dans une page web.

print'<style type="text/css">
<!--
body {
	background-color : '.$FOND_PAGE.';
	text-align: center;
}
    a:link {
    text-decoration: none;
    font-weight: bold;
    color: '.$LINK1.' ;
    }
    a:visited {
    text-decoration: none;
    font-weight: bold;
    color: '.$LINK1.' ;
    }
    a:hover {
    text-decoration: none ;
    font-weight: bold;
    color: '.$LINK2.' ;
    }
    a:active {
    text-decoration: none ;
    font-weight: bold;
    color: '.$LINK1.' ;
    }
    img {
	    border: 0;
    }
    .comments {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    font-weight: bold;
    background-color: '.$FOND_TXT.' ;
    color: '.$TXT_COL.' ;
    }
    .messages {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10px;
    color: '.$TXT_COL.' ;
    }
    .linkmess {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 9px;
    background-color: '.$FOND_TXT.' ;
    color: '.$TXT_COL2.' ;
    }
    table.arrondi {
    text-align: center ;
    border-spacing: 20px ;
    -moz-border-radius: 15px ;
    background-color: #'.$FOND_TAB.';
    }
    div.bulle {
    padding: 4px;
    top: 0px;
    left: 0px;
    color: '.$TXT_COL2.';
    font-size: 10px;
    font-family: Verdana, Helvetica, Arial, sans-serif;
    background-color: '.$FOND_BUL.';
    border: solid thin ;
    border-color: '.$TXT_COL.' ;
    /* Mozilla proprietary */
    -moz-border-radius: 12px;
    }
    div.bulle p {
    margin: 0; padding: 0 3px;
    }
-->
</style>
<!-- JavaScript Info-Bulles - Sources http://traaaz.free.fr/bulle/ inspiré de Nice titles - Sources http://kryogenix.org/code/browser/nicetitle/ -->
<script type="text/javascript">
    //<![CDATA[
    addEvent(window, "load", initialiserBulles);
    var lesBalises = new Array;
    lesBalises[0] = "img";
    var XHTMLNS = "http://www.w3.org/1999/xhtml";
    var CURRENT_NICE_TITLE;
    function initialiserBulles() {
      if (!document.createElement || !document.getElementsByTagName) return;
      // add namespace methods to HTML DOM; this makes the script work in both
      // HTML and XML contexts.
      if(!document.createElementNS){
        document.createElementNS = function(ns,elt) { return document.createElement(elt); }
      }
      for(var i = 0; i < lesBalises.length; i++){
        var balises = document.getElementsByTagName(lesBalises[i]);
        for (var ti = 0; ti < balises.length ; ti++) {
          var balise = balises[ti];
          if (balise.title) { ajouterBulle(balise); }
    }}}
    function ajouterBulle(elem){
       elem.setAttribute("bulle",elem.title);
       elem.removeAttribute("title");
       // on ajoute des evenements sur le lien
       addEvent(elem,"mouseover",montrerBulle);
       addEvent(elem,"mouseout",cacherBulle);
       addEvent(elem,"focus",montrerBulle);
       addEvent(elem,"blur",cacherBulle);
    }
    function donnePosition(oLink) {
      if( oLink.offsetParent ) {
        for( var posX = 0, posY = 0; oLink.offsetParent; oLink = oLink.offsetParent ) {
          posX += oLink.offsetLeft;
          posY += oLink.offsetTop;
        }
        return [ posX, posY ];
      } else { return [ oLink.x, oLink.y ]; }
    }
    function montrerBulle(e) {
      // si c\'est le titre est déjà rempli on le cache
        if (CURRENT_NICE_TITLE) cacherBulle(CURRENT_NICE_TITLE);
        var elem;
        if (window.event && window.event.srcElement) {
            elem = window.event.srcElement
        } else if (e && e.target) { elem = e.target }
        var _textBulle = elem.getAttribute("bulle");
        if(_textBulle.charAt(0) == \'$\'){
          _textBulle = eval(_textBulle.substring(1));
        } else { _textBulle = "<p>" + _textBulle + "<\/p>"; }
        // on ajoute à une div un noeud de texte contenant ce qu\'il faut
        var d = document.createElementNS(XHTMLNS,"div");
        d.className = "bulle";
        d.innerHTML = _textBulle;
        d.style.position = \'absolute\';
        mpos = donnePosition(elem);
        mx = mpos[0];
        my = mpos[1];
        d.style.left = (mx - '.$BULLE_H.') + \'px\';
        d.style.top = (my + '.$BULLE_V.') + \'px\';
        var largeurDiv = d.width;
        if (window.innerWidth && ((mx+largeurDiv) > window.   innerWidth)) {
            d.style.left = (window.innerWidth - largeurDiv - 25) + "px";
        }
        if (document.body.scrollWidth && ((mx + largeurDiv) > document.body.scrollWidth)) {
            d.style.left = (document.body.scrollWidth - largeurDiv - 25) + "px";
        }
        document.getElementsByTagName("body")[0].appendChild(d);
        CURRENT_NICE_TITLE = d;
    }
    function cacherBulle(e) {
        if (!document.getElementsByTagName) return;
        if (CURRENT_NICE_TITLE) {
            document.getElementsByTagName("body")[0].removeChild(CURRENT_NICE_TITLE);
            CURRENT_NICE_TITLE = null;
    }}
    // Add an eventListener to navigateurs that can do it somehow.
    // Originally by the amazing Scott Andrew.
    function addEvent(obj, evType, fn){
      if (obj.addEventListener){
        obj.addEventListener(evType, fn, true);
        return true;
      } else if (obj.attachEvent){
      var r = obj.attachEvent("on"+evType, fn);
        return r;
      } else {
      return false;
      }
    }
function externalLinks() { 
  if (!document.getElementsByTagName) return; 
  var anchors = document.getElementsByTagName("a"); 
  for (var i=0; i<anchors.length; i++) { 
    var anchor = anchors[i]; 
    if (anchor.getAttribute("href") && 
        anchor.getAttribute("rel") == "nouvpage") 
	{
	  anchor.target = "_blank"; 
	}
  }
} 
window.onload = externalLinks;
   //]]>
</script>
';

#### FIN - Partie </HEAD> (CSS+javascript) à inclure dans le cadre d'une intégration dans une page web.

print'</head>
<body>
';

#### DEBUT - Partie <BODY> (<TABLE>) à inclure dans le cadre d'une intégration dans une page web.

print'<!-- Page générée par '.$version.' - http://www.agmen.fr/squarely/ -->';

## MODE GALERIE

if ($PREV!=1) {
print'
<table class="arrondi" '.$IEPATCH1.'>
   <tr align="center">
      <td>
        <span class="comments">&nbsp;'.$COMMENTS.'&nbsp;</span><br/><span class="messages">[ '.$TOT_PHOTOS.' photos - Dernière modification : le '.$LAST_MOD_FR.' ]<br/>'.$TO_SOMMAIRE.$TOORDRE.$TODESC.'<br/></span>';

   // Répertoire Vide de Photos
      if(empty($TOT_PHOTOS)) { print '
        <br/><br/><span class="messages"><b>Déposez vos photos dans le répertoire <u>'.$PATH.'</u> et rafraichissez cette page.</b></span><br/><br/><br/>'; }

   // Affichage de la Galerie Photo
      else {
        // Alignement des photos
           if((count($MESPHOTOS)<=($NBR_PHOTOS_L+$IDPICS)-1) OR ($NBR_COLS == 1)) { $PH_ALIGN="center"; } else { $PH_ALIGN="left"; }
           print'
      </td>
   </tr>
   <tr align="'.$PH_ALIGN.'">
      <td>
        ';

        // Disposition des Photos par Nom ou par Date (à refaire)
           if($ORDRE == 0) { //tri par nom
                           if($DESC==0) { ksort($MESPHOTOS); }
                           else { krsort($MESPHOTOS); }
 		           }
           foreach($MESPHOTOS as $cleX  => $valeurX)
     			   {
                           foreach($valeurX as $cleY  => $valeurY)
                                            {
                                            list ($laDate, $leNom) = split ('@', $cleY);
                                            $DONNEES[$laDate] = $valeurY;
                                            $PREVORDRE[$laDate] = $leNom ;
                                            }
                           }
           if($ORDRE == 1) { //tri par date
                           if($DESC==0) { ksort($DONNEES); ksort($PREVORDRE); }
                           else { krsort($DONNEES); krsort($PREVORDRE); }
                           }
           $_SESSION['PREVORDRE'] = $PREVORDRE ;
           foreach($DONNEES as $CETTE_DATE  => $CELLE_LA)
               {
               $iii++;
            // Affichage des Photos par Pages
               if(($iii >= $IDPICS) AND ($iii <= ($IDPICS+$PHOT_PAR_PG-1)))
                      {
                      $i++;
                      $PHOTOS_VUES++ ;
                      if($i < $NBR_PHOTOS_L) { print $CELLE_LA ; } else { $i = 0; print $CELLE_LA.'<br/>'; }
                      }
               }

           print'
      </td>
   </tr>
   <tr align="center">
      <td>
        ';

   // Fleches de navigation et indicateurs de pages
      $IDNextPIC = $IDPICS+$PHOTOS_VUES ;   // Prochaine photo
      $TOT_PAGES = ceil($TOT_PHOTOS/$PHOT_PAR_PG) ;   // Nbre total de pages
      $THIS_PAGE = $TOT_PAGES - ceil(($TOT_PHOTOS-$IDNextPIC-1)/$PHOT_PAR_PG);  // Page actuelle
      // Navig Pages

      $PAGE_MESS='[ '.$IDPICS.' &agrave; '.($IDPICS+$PHOT_PAR_PG-1).' ]&nbsp;&nbsp;&nbsp;[ '.$THIS_PAGE.'/'.$TOT_PAGES.' ]';

      if($IDNextPIC <= $TOT_PHOTOS) { $INTERPAGE1="&nbsp;&nbsp;&nbsp;$PAGE_MESS&nbsp;&nbsp;&nbsp;"; } else { $INTERPAGE2="&nbsp;&nbsp;&nbsp;$PAGE_MESS&nbsp;&nbsp;&nbsp;<br/><br/>"; }
      // Debut et Précédent
      if(($IDNextPIC > $PHOT_PAR_PG) AND (($IDNextPIC-$PHOT_PAR_PG) > 1)) { print'<span class="messages"><a href="?IDPICS=1&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'">[ &#x25B2; DÉBUT ]</a>&nbsp;&nbsp;&nbsp;<a href="?IDPICS='.($IDNextPIC-($PHOTOS_VUES+$PHOT_PAR_PG)).'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'">[ &#x25C4; PRÉCÉDENT ]</a>'.$INTERPAGE2.'</span>'; }
      if($IDNextPIC <= $PHOT_PAR_PG) { print '<span class="messages">'.$PAGE_MESS.'</span>' ; }
      // Suivant et Fin
      if($IDNextPIC <= $TOT_PHOTOS) { print'<span class="messages">'.$INTERPAGE1.'<a href="?IDPICS='.$IDNextPIC.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'">[ SUIVANT &#x25BA; ]</a>&nbsp;&nbsp;&nbsp;<a href="?IDPICS='.(($PHOT_PAR_PG*$TOT_PAGES)-$PHOT_PAR_PG+1).'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'">[ FIN &#x25BC; ]</a><br/><br/></span>'; }
           }
   // Messages d'ajouts et de suppressions (Optionel à décommenter)
   //   if(!empty($AJOUT)) { print '
   //   <span class="messages"><br/><br/>'.$NEWREP.'(!) Ajout des photos '.$AJOUT.'</span><br/>'; }
   //   if(!empty($SUPPR)) { print '
   //   <span class="messages"><br/><br/>(!) Suppression des miniatures '.$SUPPR.' dans le dossier Mini/</span><br/>'; }

}
else
   {
     

## MODE PREVIEW

   print'
<table class="arrondi" '.$IEPATCH1.'">
   ';
   if($AUTO !=1) {
   print'<tr align="center">
      <td>
        <span class="comments">&nbsp;'.$COMMENTS.'&nbsp;</span><br/><span class="messages">[ '.$PREVIEW.' - Date : '.$PHOTO_MOD.' - Vue : '.$nbVisites.' fois ]<br/>'.$TO_SOMMAIRE.'[ <a href="?IDPICS='.$IDPICS.'&amp;ORDRE='.$ORDRE.'&amp;DESC='.$DESC.'&amp;EXIFDATE_ON='.$EXIFDATE_ON.'" title="Retour &agrave la galerie...">&#x25B2; GALERIE</a> ]<br/></span>
      </td>
   </tr>
   ';
   }
   print'<tr align="center">
      <td>
        '.$MAPHOTO.'<br/>';
   if($AUTO !=1) {  print $DirectURL ; }
   print'
      </td>
   </tr>
   <tr align="center">
      <td>
        <span class="messages">'.$BoutPrev.$StatsPhotos.$BoutNext.'&nbsp;&nbsp;&nbsp;'.$AUTO_Bout.'</span>
        ';
   }

   // Bas de page
      if($TOT_PAGES==1) { print '<span class="messages"><br/><br/></span>'; }
      print'<span class="messages">[ <a href="#" title="Imprimer cette page..." onclick="window.print()">IMPRESSION</a> ] - Page générée par '.$version.' - [ <a href="http://www.agmen.fr/squarely/" title="Visiter le Site de Squarely..." rel="nouvpage">SCRIPT PHP</a> ]<br/></span>';
if($W3CLOGO!=1) { print'<br/>
	<a href="http://validator.w3.org/check?uri=referer"><img
        src="http://www.w3.org/Icons/valid-xhtml10-blue"
        alt="Valid XHTML 1.0" height="20" width="57" /></a>
	';
	//
	}
      print'
      </td>
   </tr>
</table>
';

#### FIN - Partie </BODY> (</TABLE>) à inclure dans le cadre d'une intégration dans une page web.

print'</body>
</html>';

?>
